View Issue Details

IDProjectCategoryView StatusLast Update
0005357Kali Linux[All Projects] Kali Package Bugpublic2019-03-29 13:19
ReporterlwczzhiwuAssigned Torhertzog 
PriorityhighSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.1 
Target VersionFixed in Version2019.2 
Summary0005357: boot stuck at "Started update UTMP about System Runlevel Changes" after update im-config
DescriptionOS-VERSION : 2019.1
DE : gnome
im-config version: 0.39-1

After update im-config from 0.38-1 to 0.39-1, kali boot process will stuck at "Started update UTMP about System Runlevel Changes".
when I downgrade im-config to version 0.38-1, all is fine.
Steps To Reproduceinstall package ibus, and update all package to newest version,
Additional Informationerror message in /var/log/messages

Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (--) Log file renamed from "/var/lib/gdm3/.local/share/xorg/Xorg.pid-822.log" to "/var/lib/gdm3/.local/share/xorg/Xorg.0.log"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: X.Org X Server 1.20.3
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: X Protocol Version 11, Revision 0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Build Operating System: Linux 4.9.0-8-amd64 x86_64 Debian
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Current Operating System: Linux CZ 4.19.0-kali3-amd64 0000001 SMP Debian 4.19.20-1kali1 (2019-02-14) x86_64
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.19.0-kali3-amd64 root=UUID=b0ba5e95-35a3-4de0-8c2c-21906d1d0a49 ro
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Build Date: 25 October 2018 06:15:23PM
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: xorg-server 2:1.20.3-1 (https://www.debian.org/support)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Current version of pixman: 0.36.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011Before reporting problems, check http://wiki.x.org
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011to make sure that you have the latest version.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Markers: (--) probed, (**) from config file, (==) default setting,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011(++) from command line, (!!) notice, (II) informational,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Log file: "/var/lib/gdm3/.local/share/xorg/Xorg.0.log", Time: Wed Mar 20 12:57:04 2019
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Using system config directory "/usr/share/X11/xorg.conf.d"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) No Layout section. Using the first Screen section.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) No screen section available. Using defaults.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (**) |-->Screen "Default Screen Section" (0)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (**) | |-->Monitor "<default monitor>"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) No monitor specified for screen "Default Screen Section".
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011Using a default monitor configuration.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Automatically adding devices
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Automatically enabling devices
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Automatically adding GPU devices
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Max clients allowed: 256, resource mask: 0x1fffff
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011Entry deleted from font path.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) FontPath set to:
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011/usr/share/fonts/X11/misc,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011/usr/share/fonts/X11/100dpi/:unscaled,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011/usr/share/fonts/X11/75dpi/:unscaled,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011/usr/share/fonts/X11/Type1,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011/usr/share/fonts/X11/100dpi,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011/usr/share/fonts/X11/75dpi,
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011built-ins
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) ModulePath set to "/usr/lib/xorg/modules"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) The server relies on udev to provide the list of input devices.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011If no devices become available, reconfigure udev or disable AutoAddDevices.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Loader magic: 0x55c1e46fee20
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Module ABI versions:
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011X.Org ANSI C Emulation: 0.4
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011X.Org Video Driver: 24.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011X.Org XInput driver : 24.1
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011X.Org Server Extension : 10.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (++) using VT number 1
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE) systemd-logind: failed to get session: PID 822 does not belong to any known session
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) xfree86: Adding drm device (/dev/dri/card0)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (--) PCI:*(0@0:2:0) 8086:0416:1043:178d rev 6, Mem @ 0xf7400000/4194304, 0xd0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/131072
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (--) PCI: (1@0:0:0) 10de:139a:1043:178d rev 162, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) LoadModule: "glx"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Module glx: vendor="X.Org Foundation"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011compiled for 1.20.3, module version = 1.0.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011ABI class: X.Org Server Extension, version 10.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Matched modesetting as autoconfigured driver 0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Matched fbdev as autoconfigured driver 1
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Matched vesa as autoconfigured driver 2
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (==) Assigned the driver to the xf86ConfigLayout
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) LoadModule: "modesetting"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Module modesetting: vendor="X.Org Foundation"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011compiled for 1.20.3, module version = 1.20.3
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011Module class: X.Org Video Driver
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011ABI class: X.Org Video Driver, version 24.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) LoadModule: "fbdev"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Module fbdev: vendor="X.Org Foundation"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011compiled for 1.20.0, module version = 0.5.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011Module class: X.Org Video Driver
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011ABI class: X.Org Video Driver, version 24.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) LoadModule: "vesa"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) Module vesa: vendor="X.Org Foundation"
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011compiled for 1.20.1, module version = 2.4.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011Module class: X.Org Video Driver
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: #011ABI class: X.Org Video Driver, version 24.0
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) modesetting: Driver for Modesetting Kernel Drivers: kms
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) FBDEV: driver for framebuffer: fbdev
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (II) VESA: driver for VESA chipsets: vesa
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Fatal server error:
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE) xf86OpenConsole: Cannot open virtual console 1 (Permission denied)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Please consult the The X.Org Foundation support
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: 0000011 at http://wiki.x.org
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: for help.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE) Please also check the log file at "/var/lib/gdm3/.local/share/xorg/Xorg.0.log" for additional information.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE)
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (WW) xf86CloseConsole: KDSETMODE failed: Bad file descriptor
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (WW) xf86CloseConsole: VT_GETMODE failed: Bad file descriptor
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: (EE) Server terminated with error (1). Closing log file.
Mar 20 12:57:04 CZ /usr/lib/gdm3/gdm-x-session[818]: Unable to run X server



error message in /var/log/syslog

Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (--) Log file renamed from "/var/lib/gdm3/.local/share/xorg/Xorg.pid-935.log" to "/var/lib/gdm3/.local/share/xorg/Xorg.0.log"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: X.Org X Server 1.20.3
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: X Protocol Version 11, Revision 0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: Build Operating System: Linux 4.9.0-8-amd64 x86_64 Debian
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: Current Operating System: Linux CZ 4.19.0-kali3-amd64 0000001 SMP Debian 4.19.20-1kali1 (2019-02-14) x86_64
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.19.0-kali3-amd64 root=UUID=b0ba5e95-35a3-4de0-8c2c-21906d1d0a49 ro quiet
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: Build Date: 25 October 2018 06:15:23PM
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: xorg-server 2:1.20.3-1 (https://www.debian.org/support)
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: Current version of pixman: 0.36.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011Before reporting problems, check http://wiki.x.org
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011to make sure that you have the latest version.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: Markers: (--) probed, (**) from config file, (==) default setting,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011(++) from command line, (!!) notice, (II) informational,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Log file: "/var/lib/gdm3/.local/share/xorg/Xorg.0.log", Time: Wed Mar 20 12:00:41 2019
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Using system config directory "/usr/share/X11/xorg.conf.d"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) No Layout section. Using the first Screen section.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) No screen section available. Using defaults.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (**) |-->Screen "Default Screen Section" (0)
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (**) | |-->Monitor "<default monitor>"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) No monitor specified for screen "Default Screen Section".
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011Using a default monitor configuration.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Automatically adding devices
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Automatically enabling devices
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Automatically adding GPU devices
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Max clients allowed: 256, resource mask: 0x1fffff
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011Entry deleted from font path.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) FontPath set to:
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011/usr/share/fonts/X11/misc,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011/usr/share/fonts/X11/100dpi/:unscaled,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011/usr/share/fonts/X11/75dpi/:unscaled,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011/usr/share/fonts/X11/Type1,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011/usr/share/fonts/X11/100dpi,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011/usr/share/fonts/X11/75dpi,
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011built-ins
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) ModulePath set to "/usr/lib/xorg/modules"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) The server relies on udev to provide the list of input devices.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011If no devices become available, reconfigure udev or disable AutoAddDevices.
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Loader magic: 0x561a999bde20
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Module ABI versions:
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011X.Org ANSI C Emulation: 0.4
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011X.Org Video Driver: 24.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011X.Org XInput driver : 24.1
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011X.Org Server Extension : 10.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (++) using VT number 1
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE) systemd-logind: TakeControl failed: Only owner of session may take control
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) xfree86: Adding drm device (/dev/dri/card0)
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (--) PCI:*(0@0:2:0) 8086:0416:1043:178d rev 6, Mem @ 0xf7400000/4194304, 0xd0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/131072
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (--) PCI: (1@0:0:0) 10de:139a:1043:178d rev 162, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) LoadModule: "glx"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Module glx: vendor="X.Org Foundation"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011compiled for 1.20.3, module version = 1.0.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011ABI class: X.Org Server Extension, version 10.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Matched modesetting as autoconfigured driver 0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Matched fbdev as autoconfigured driver 1
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Matched vesa as autoconfigured driver 2
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (==) Assigned the driver to the xf86ConfigLayout
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) LoadModule: "modesetting"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Module modesetting: vendor="X.Org Foundation"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011compiled for 1.20.3, module version = 1.20.3
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011Module class: X.Org Video Driver
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011ABI class: X.Org Video Driver, version 24.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) LoadModule: "fbdev"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Module fbdev: vendor="X.Org Foundation"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011compiled for 1.20.0, module version = 0.5.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011Module class: X.Org Video Driver
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: #011ABI class: X.Org Video Driver, version 24.0
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) LoadModule: "vesa"
Mar 20 12:00:41 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) Module vesa: vendor="X.Org Foundation"
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: #011compiled for 1.20.1, module version = 2.4.0
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: #011Module class: X.Org Video Driver
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: #011ABI class: X.Org Video Driver, version 24.0
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) modesetting: Driver for Modesetting Kernel Drivers: kms
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) FBDEV: driver for framebuffer: fbdev
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (II) VESA: driver for VESA chipsets: vesa
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE)
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: Fatal server error:
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE) xf86OpenConsole: Cannot open virtual console 1 (Permission denied)
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE)
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE)
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: Please consult the The X.Org Foundation support
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: 0000011 at http://wiki.x.org
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: for help.
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE) Please also check the log file at "/var/lib/gdm3/.local/share/xorg/Xorg.0.log" for additional information.
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE)
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (WW) xf86CloseConsole: KDSETMODE failed: Bad file descriptor
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (WW) xf86CloseConsole: VT_GETMODE failed: Bad file descriptor
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: (EE) Server terminated with error (1). Closing log file.
Mar 20 12:00:42 CZ /usr/lib/gdm3/gdm-x-session[933]: Unable to run X server

Activities

lwczzhiwu

2019-03-29 10:36

reporter   ~0010449

I noticed debian sid has update im-config to 0.41, so I downloaded and installed the latest version. It solved my problem.

rhertzog

2019-03-29 13:18

administrator   ~0010452

Thanks for the notice, it's probably this issue: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=925160

We have imported the new im-config into kali-rolling.

Issue History

Date Modified Username Field Change
2019-03-20 05:35 lwczzhiwu New Issue
2019-03-29 10:36 lwczzhiwu Note Added: 0010449
2019-03-29 13:18 rhertzog Note Added: 0010452
2019-03-29 13:19 rhertzog Assigned To => rhertzog
2019-03-29 13:19 rhertzog Status new => resolved
2019-03-29 13:19 rhertzog Resolution open => fixed
2019-03-29 13:19 rhertzog Fixed in Version => 2019.2